Bug 6669 - Numerous bugs in Python script, some suggestions
Numerous bugs in Python script, some suggestions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-02 19:17 EST by klingler
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-03 07:52:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description klingler 1999-11-02 19:17:28 EST
I'm a RedHat 5.2 buyer and I just downloaded 6.1 on the strength of its RAID support for evaluation against FreeBSD for some experimental servers.  The installation so far has not succeeded, and it's been extremely problematic.  This is an FTP installation; I've done perhaps 20 using 5.0, 5.1, 5.2 and 6.0.

The machine in question:

- HP Vectra VL Series 5 5/133 upgraded with a Winchip 2A-233, 256k L2 cache, 48 Megs RAM, HX chipset, various IDE boot drives.  Machine confirmed to boot other OSes fine, and I've tried several different known-good IDE drives.  The idea is
to boot IDE, use SCSI RAID 5 array for storage.

- 3Com 3c905 PCI Ethernet card

- Advansys ABP915 PCI SCSI adapter

I'm attempting an anonymous FTP installation from my own server, off which
I've already done one successful FTP installation to another clone with all SCSI hardware from this server with no configuration changes.  Have other Winchip 2A machines up for several months, so I don't believe they're a factor.  These are Python scripting errors, perhaps exacerbated by some timeouts that are set too low.

The following problems, along with my reference titles for them, are the easily repeatable ones:

1.  MD not spoken, not really.
Blew away my md device prepared on another successfully-built 6.1 machine (clone, all scsi).  Rather than help me build a raidtab and keep the MD device (what I expected given the language on the RedHat website) it listed the devices separately and then actually blew away the partitioning information without telling me.  On subsequent installation attempts the disks came up without partitioning info and I confirmed it was gone by moving the MD device back to the original server.  I'm very glad I hadn't moved much data across, but it did waste a lot of my time and leave me gritting my teeth.  This could potentially make someone very, very angry.  It's the kind of thing you'd get from those damned paperclip animators up northwest.

2.  You can never go back.
Installation doesn't forget partitioning info, even if you hit the back button without saving.  Seems to automagically save partitioning info even if you don't want it to sometimes, but I haven't been able to pin down exactly when.  Happened to me once (and I didn't hit yes), and it really sucked.

3.  FTP doesn't cotton to CWD.
Behavior changed (for the worse) when, as a test, I threw an old 170 meg IDE drive on just in case the 1.2 gig IDE I was using might be corrupt somehow.  At the point where it went out to get the package list I got a Python script error that ended in the following:

	"/var/tmp/python-root/usr/lib/python1.5/ftplib.py", line 201, in
	getresp IOError: [Errorno ftp error] 500 'CWD': command not understood"

I'm not a Python guy yet, but this appears to be a bug in the installation script library.  I don't know why the script works differently for my 170 meg IDE versus my 1.2 gig IDE when going out to retrieve the package list.  I consistently got past this point when I was using the 1.2 gig drive; I consistently hung at this point when I used the 170 meg with the above error
message. "Shore 'nuff", I said. "CWD ain't a command in ftp."

4. I'll die anyway.
The error I got with the 1.2 gig was a kernel panic as soon as the installation began formatting the drive, not much additional info.  Happens consistently.
The message is "Kernel panic: Free list corrupted."  This is as far as I have gotten in more attempt than I care to admit (>20).

5.  I'll swap anything.
At one point it decided I didn't have enough remaining space to create a
swap partition, so it changed the status of a Linux native partition (the only
other partition) to invalid.  At that point no combination of deletion, addition or editing could convince the machine to make a new Linux native partition, and since it wouldn't forget what I'd already told it, hitting the back button didn't help either.  I had to reboot and start from scratch.

In addition to the above install bugs, I've got the following hopefully constructive criticisms:

1.  It was a big pain when I found out that the check box in the ftp for
"non-anonymous ftp installation" was no longer there.  I had to go back and install anonymous ftp on the other machine.  Time consuming.

2.  The loss of fdisk is keenly felt.  I much preferred it.

3.  This installation script overall doesn't seem as smart as old install.
For example, it doesn't know enough to check for a swap partition like the
old one did, so it goes on and hangs.

4.  Disk Druid doesn't know how to make a RAID partition, despite the RAID
support advertised.

5.  The "server" choice of machine configurations installs without kernel source.  Really.  Yet there are still various X-related things in there.  And the "server" choice was the one that blew away my MD device.

Thanks for your hard work and attention.

Dave Klingler
klingler@rt66.com
Comment 1 Jay Turner 1999-11-03 07:52:59 EST
*** This bug has been marked as a duplicate of 6673 ***

Note You need to log in before you can comment on or make changes to this bug.